aboutsummaryrefslogtreecommitdiffstats
path: root/icefuzz/pinloc/pinloc-1k-tq144.sh
diff options
context:
space:
mode:
Diffstat (limited to 'icefuzz/pinloc/pinloc-1k-tq144.sh')
-rw-r--r--icefuzz/pinloc/pinloc-1k-tq144.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/icefuzz/pinloc/pinloc-1k-tq144.sh b/icefuzz/pinloc/pinloc-1k-tq144.sh
index a2f8819..3b6005b 100644
--- a/icefuzz/pinloc/pinloc-1k-tq144.sh
+++ b/icefuzz/pinloc/pinloc-1k-tq144.sh
@@ -7,6 +7,11 @@ pins="
112 113 114 115 116 117 118 119 120 121 122 128 129 134 135 136 137 138 139 141 142 143 144
"
+if [ $(echo $pins | wc -w) -ne 96 ]; then
+ echo "Incorrect number of pins:" $(echo $pins | wc -w)
+ exit 1
+fi
+
{
echo -n "all:"
for pin in $pins; do
@@ -22,6 +27,7 @@ pins="
echo; echo "${id}.exp:"
echo " ICEDEV=hx1k-tq144 bash ../icecube.sh ${id} > ${id}.log 2>&1"
echo " ../../icebox/icebox_explain.py ${id}.asc > ${id}.exp.new"
+ echo " ! grep '^Warning: pin' ${id}.log"
echo " rm -rf ${id}.tmp"
echo " mv ${id}.exp.new ${id}.exp"
done